Package com.emc.documentum.rest.dfc

# Interface RelationManager

public interface RelationManager
The relation manager.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RelationObject`
  `createRelation(RelationObject relationObject)`
  Create a relation object.
  `void`
  `deleteRelationById(String relationId)`
  Delete relation by ID.
  `List<RelationObject>`
  `getChildRelatives(String parentId, String relationName, AttributeView attributeView)`
  Returns a collection of RelationObject objects where the given object is the parent of all these relations and, and the relation_name is given, too.
  `List<RelationObject>`
  `getParentRelatives(String childId, String relationName, AttributeView attributeView)`
  Returns a collection of RelationObject objects where the given object is the child of all these relations and, and the relation_name is given, too.
  `RelationObject`
  `getRelationById(String relationId, AttributeView attributeView)`
  Get relation object by relation ID.

- ## Method Details

  - ### createRelation

    RelationObject createRelation(RelationObject relationObject) throws com.documentum.fc.common.DfException
    Create a relation object.
    Parameters:
      `relationObject` - relation to create
    Returns:
      the created relation object
    Throws:
      `com.documentum.fc.common.DfException` - the exception during the operation

  - ### getRelationById

    RelationObject getRelationById(String relationId, AttributeView attributeView) throws com.documentum.fc.common.DfException
    Get relation object by relation ID.
    Parameters:
      `relationId` - relation object ID
      `attributeView` - attribute view
    Returns:
      relation object
    Throws:
      `com.documentum.fc.common.DfException` - the exception during the operation

  - ### getParentRelatives

    List<RelationObject> getParentRelatives(String childId, String relationName, AttributeView attributeView) throws com.documentum.fc.common.DfException
    Returns a collection of RelationObject objects where the given object is the child of all these relations and, and the relation_name is given, too. *
    Parameters:
      `childId` - the child object ID
      `relationName` - the relation name
      `attributeView` - the attribute view on the result
    Returns:
      a collection of relations
    Throws:
      `com.documentum.fc.common.DfException` - the exception during the operation

  - ### getChildRelatives

    List<RelationObject> getChildRelatives(String parentId, String relationName, AttributeView attributeView) throws com.documentum.fc.common.DfException
    Returns a collection of RelationObject objects where the given object is the parent of all these relations and, and the relation_name is given, too.
    Parameters:
      `parentId` - the parent object ID
      `relationName` - the relation name
      `attributeView` - the attribute view on the result
    Returns:
      a collection of relations.
    Throws:
      `com.documentum.fc.common.DfException` - the exception during the operation

  - ### deleteRelationById

    void deleteRelationById(String relationId) throws com.documentum.fc.common.DfException
    Delete relation by ID.
    Parameters:
      `relationId` - relation Id
    Throws:
      `com.documentum.fc.common.DfException` - the exception during the operation